ATHDEBUG(8)

NAME
athdebug - control the debug output from the madwifi device subsystem

SYNOPSIS
athdebug [-i device] +/- bitmap

DESCRIPTION
Set and clear debug bitmaps for the madwifi ath device subsystem. Each argument is a bitmap or its alias. If a bitmap alias is used then it must be prefixed by either "-" to clear or "+" to set the corresponding bitmap.

All debugging output can be enabled with the 0xffffffff bitmap, while 0x0 disables all debug output.

OPTIONS

-?  Display usage and list all debug flags.

-i device
    The madwifi device to apply the settings to. If no interface is specified, athdebug defaults to wifi0.

+/- bitmap
    Set (+) or clear (-) a debug flag.

BITMAP ALIASES
xmit - transmit of packets, just before they go out to the HW
xmit_desc - transmit descriptors
recv - received packets, directly from the HW
recv_desc - recv descriptors
rate - rate control modules
reset - reset processing and inititalization
mode - mode initialization and changes
beacon - beacon handling
watchdog - watchdog timeout
intr - interrupt processing
xmit_proc - processing of transmit descriptors
recv_proc - processing of receive descriptors
beacon_proc - beacon processing
calibrate - periodic re-calibration
keycache - key cache management
state - 802.11 state transitions
node - node management ff - fast frame handling
fatal fatal errors

EXAMPLES

athdebug -i wifi1 0xffffffff
    Enable all debug bitmaps on wifi1.

athdebug +rate
    Enable rate debug bitmap on wifi0.

athdebug -rate
    Clear rate bitmap on wifi0.

SEE ALSO
80211debug(8), http://madwifi.org/wiki/DevDocs/AthDebug

AUTHOR
This manual page was written by Kel Modderman <kelrin@tpg.com.au> and was based upon previous text written by Eric S. Raymond.